<?php
cors();
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");
error_reporting(E_ALL);
ini_set('display_errors', 'On');

function cors()
{
    // Allow from any origin
    if (isset($_SERVER['HTTP_ORIGIN'])) {
        // Decide if the origin in $_SERVER['HTTP_ORIGIN'] is one
        // you want to allow, and if so:
        header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
        header('Access-Control-Allow-Credentials: true');
        header('Access-Control-Max-Age: 86400');    // cache for 1 day
    }
    // Access-Control headers are received during OPTIONS requests
    if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {
        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
            header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
            header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
    }
}

switch ($_GET['op']) {

    case 'update':
        update();
        break;
    default:
    case 'version':
        echo file_get_contents("../package.json");
        break;
}

/**
 * @return string
 */
function update()
{
    $connection = ssh2_connect('localhost', 22);
    ssh2_auth_password($connection, 'aaden', 'Innerken322.');
    $stream = ssh2_exec($connection, 'aaden-cli update');

    $errorStream = ssh2_fetch_stream($stream, SSH2_STREAM_STDERR);

// Enable blocking for both streams
    stream_set_blocking($errorStream, true);
    stream_set_blocking($stream, true);

// Whichever of the two below commands is listed first will receive its appropriate output.  The second command receives nothing
    echo "Output: " . "<pre>" . stream_get_contents($stream) . "</pre>";
    echo "Error: " . stream_get_contents($errorStream);

// Close the streams
    fclose($errorStream);
    fclose($stream);


}

