USE information_schema;
SELECT CONCAT("ALTER DATABASE `", table_schema, "` CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci;") AS _sql
FROM `TABLES`
WHERE table_schema LIKE "aaden"
  AND TABLE_TYPE = 'BASE TABLE'
GROUP BY table_schema
UNION
SELECT CONCAT("ALTER TABLE `", table_schema, "`.`", table_name,
              "` CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;") AS _sql
FROM `TABLES`
WHERE table_schema LIKE "aaden"
  AND TABLE_TYPE = 'BASE TABLE'
GROUP BY table_schema, table_name
UNION
SELECT CONCAT("ALTER TABLE `", `COLUMNS`.table_schema, "`.`", `COLUMNS`.table_name, "` CHANGE `", column_name, "` `",
              column_name, "` ", data_type, "(", character_maximum_length,
              ") CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci", IF(is_nullable = "YES", " NULL", " NOT NULL"),
              ";") AS _sql



ALTER DATABASE
    aaden
    CHARACTER SET = utf8mb4
    COLLATE = utf8mb4_unicode_ci;
