#!/bin/bash
sudo npm config set prefix /usr/local
sudo npm install aaden-cli -g

DeviceId=$(cat /var/www/html/Resource/config/config.ini | grep -e DeviceId | cut -d = -f 2 | grep '[1-9]*' | sed 's/"//g')
aaden-cli update-ngrok-config $DeviceId

ServiceFileName=/etc/systemd/system/aaden-ngrok.service
sudo touch $ServiceFileName
sudo chmod 777 $ServiceFileName
echo -e "
[Unit]
Description=Ngrok Service For Aaden

[Service]
Type=simple
Restart=always
RestartSec=3
User=root
MemoryHigh=512M
MemoryMax=768M

ExecStart=/usr/local/bin/aaden-cli ngrok

[Install]
WantedBy=multi-user.target
" >$ServiceFileName

sudo systemctl daemon-reload
sudo systemctl start aaden-ngrok.service
sudo systemctl enable aaden-ngrok.service

sudo service aaden-ngrok restart



ServiceFileName=/etc/avahi/services/aaden.service
sudo touch $ServiceFileName
sudo chmod 777 $ServiceFileName
echo -e "
<?xml version="1.0" standalone='no'?><!--*-nxml-*-->
<!DOCTYPE service-group SYSTEM "avahi-service.dtd">
<service-group>
<name replace-wildcards="yes">%h AadenOS CORE</name>
<service>
<type>_aadencore._tcp</type>
<port>80</port>
</service>
</service-group>
" >$ServiceFileName

sudo service avahi-daemon restart


