#!/bin/bash

ServiceFileName=/etc/systemd/system/aaden-gdpdu.service

sudo touch $ServiceFileName
sudo chmod 777 $ServiceFileName
echo -e "
[Unit]
Description=Gdpdu Service For Aaden

[Service]
Type=simple
Restart=always
RestartSec=1
User=root
ExecStart=/usr/bin/php /var/www/html/PHP/autoWriteGdpdu.php

[Install]
WantedBy=multi-user.target
" > $ServiceFileName

sudo systemctl start aaden-gdpdu.service
sudo systemctl enable aaden-gdpdu.service
echo 'gdpdu auto write start'
sudo service aaden-gdpdu start
