#!/bin/bash

DeviceId=$(cat /var/www/html/Resource/config/config.ini | grep -e DeviceId | cut -d = -f 2 | grep '[1-9]*' | sed 's/"//g')
aaden-cli update-ngrok-config $DeviceId
sudo ln -sf /usr/bin/aaden-cli /usr/local/bin/aaden-cli
sudo chmod +x /usr/local/bin/aaden-cli
ServiceFileName=/etc/systemd/system/aaden-ngrok.service

sudo touch $ServiceFileName
sudo chmod 777 $ServiceFileName
echo -e "
[Unit]
Description=Ngrok Service For Aaden

[Service]
Type=simple
Restart=always
RestartSec=1
User=root
ExecStart=/usr/local/bin/aaden-cli ngrok

[Install]
WantedBy=multi-user.target
" >$ServiceFileName

sudo systemctl daemon-reload
sudo systemctl start aaden-ngrok.service
sudo systemctl enable aaden-ngrok.service

