#!/bin/bash

sudo apt-get update -y
sudo apt-get install default-jdk -y

sudo chmod -R 777 /var/www/html/Resource
sudo php /var/www/html/PHP/RealTse/tseReady.php

ServiceFileName=/etc/systemd/system/aaden-tse.service

sudo touch $ServiceFileName
sudo chmod 777 $ServiceFileName
echo -e "
[Unit]
Description=Tse Service For Aaden

[Service]
Type=simple
Restart=always
RestartSec=1
User=root
ExecStart=/bin/bash /var/www/html/TseHost/tseServing.sh

[Install]
WantedBy=multi-user.target
" > $ServiceFileName

sudo systemctl start aaden-tse.service
sudo systemctl enable aaden-tse.service
echo 'YOU CAN USE aaden-cli check-tse to check tse status'
sudo service aaden-tse start

sudo php /var/www/html/PHP/RealTse/tseEnable.php
