echoWithWait() {
  echo "#######################################################################"
  echo $1 '....'
  echo "#######################################################################"
}

echo ""
echo "#######################################################################"
echo "#                    Start to configurate aaden!                      #"
echo "#                                 V 1.0.0                             #"
echo "#######################################################################"
echo ""
sudo add-apt-repository ppa:ondrej/php -y


echoWithWait "updating System...."
sudo apt-get update -y
sudo apt-get -o Dpkg::Options::='--force-confdef' --force-yes -fuy dist-upgrade


echoWithWait "Installing Lamp...."
sudo snap install axel

sudo apt install apache2 -y
sudo apt install net-tools -y
sudo apt install software-properties-common apt-transport-https -y
echoWithWait "Install PHP7.4"

sudo apt install mysql-server -y
sudo apt install aptitude -y
sudo apt install curl -y
sudo aptitude -y install expect
sudo apt install default-jdk -y
sudo apt install php7.4 php7.4-common libapache2-mod-php7.4 php7.4-cli -y
sudo apt install php7.4-curl php7.4-mysql php7.4-gd php7.4-zip php7.4-intl php7.4-common php7.4-mbstring -y
sudo update-alternatives --set php /usr/bin/php7.4
sudo update-alternatives --set phar /usr/bin/phar7.4
sudo update-alternatives --set phar.phar /usr/bin/phar.phar7.4

sudo systemctl restart apache2

echoWithWait "Install Complate"


sudo apt -y install vim apt-transport-https wget software-properties-common


echoWithWait "Install Docker Requirment"
sudo apt-get install -y \
  apt-transport-https \
  ca-certificates \
  curl \
  gnupg-agent \
  software-properties-common

sudo apt update -y
sudo apt-get install ttyload -y

echoWithWait "Deploying ssh"

sudo apt-get install openssh-server -y

echoWithWait "Installing Pip for python3"
sudo apt-get install python3-pip -y

echoWithWait "Get Requests library for python3"
python3 -m pip install requests

sudo apt-get install unzip -y

sudo chmod +x files/getFile.sh
sudo chmod 777 -R .

cd files/ || exit
./getFile.sh
cd ..

echoWithWait "Configing MYSQL SECURE, only for remote root disable no, else follow it and set to yes, please set the root password as defaultPassword"

sudo chmod +x scureSql.sh
sudo /bin/bash scureSql.sh 'Innerken322.'

echoWithWait "Configing Mysql"
cd /etc/aaden/updateFiles || exit

sudo mysql -uroot <backendFiles/new.sql

echoWithWait "Uploading PHP Files"
sudo mv backendFiles/* /var/www/html/

sudo chmod -R 777 /var/www/html/Resource
sudo chmod +x /var/www/html/crontab.sh

# give excute permission to migrations
sudo chmod +x /var/www/html/PHP/vendor/bin/phinx
sudo chmod +x /var/www/html/PHP/vendor/robmorgan/phinx/bin/phinx

if [ -z "$3" ]; then
  echoWithWait "Skip App Install"
else
  echoWithWait "Installing App"
  sudo snap install aaden-vue-app --channel=beta
fi

echoWithWait "Add Cronjob"
sudo touch conf
sudo chmod 777 conf
echo "* * * * *  wget -O /dev/null http://localhost/PHP/AccessLog.php?op=reportStatus" >>conf
echo "* * * * *  /var/www/html/crontab.sh > /dev/null" >>conf
crontab conf && sudo rm -f conf
crontab -l

echoWithWait "Finishing Install"

if [ -z "$1" ]; then
  read -p 'DeviceId: ' DeviceId
else
  DeviceId=$1
fi

echoWithWait "useDeviceId:$DeviceId"

wget "http://innerken.com/iplogger/index.php?op=register&deviceId=$DeviceId"
wget http://localhost/PHP/AutoSetup.php?DeviceId=$DeviceId
wget http://localhost/PHP/AccessLog.php?op=reportStatus


echoWithWait "SetUpOfflineUsbDriver"

sudo usermod -a -G lp aaden
sudo usermod -a -G lp www-data
sudo usermod -a -G root aaden
sudo usermod -a -G root www-data
sudo usermod -a -G adm aaden

echoWithWait "RUN MIGRATION"
# run migrations
cd /var/www/html/PHP || exit
vendor/bin/phinx migrate

aaden-cli patch
aaden-cli fix-cronjob
aaden-cli upgrade

aaden-cli update-ngrok-config $DeviceId
sudo service aaden-ngrok restart
echo ""
echo "#######################################################################"
echo "#                          Auto Config Complete!                      #"
echo "#                                 V 1.0.0                             #"
echo "#######################################################################"
echo ""

echo ""
echo "#######################################################################"
echo "#                          Install TeamViewer                         #"
echo "#                                 V 1.0.0                             #"
echo "#######################################################################"
echo ""

cd || exit
wget https://download.teamviewer.com/download/linux/teamviewer_amd64.deb
sudo apt -y install ./teamviewer_amd64.deb

sudo apt install flatpak -y
sudo apt install gnome-software-plugin-flatpak -y
flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
